## desktop-base 4.0.0

=== Makefile ===
DEFAULT_BACKGROUND=desktop-background

INSTALL=install -m 0644 
BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg backgrounds/*.svg)
EMBLEMS=$(wildcard emblems/*png emblems/*icon)
SPLASH=$(wildcard splash/*.png)
PIXMAPS=$(wildcard pixmaps/*.png)
DESKTOPFILES=$(wildcard *.desktop)

all:

install:
	# background files
	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
	$(INSTALL) $(BACKGROUNDS) $(DESTDIR)/usr/share/images/desktop-base
	cd $(DESTDIR)/usr/share/images/desktop-base && ln -s $(DEFAULT_BACKGROUND) default
	# splash files
	$(INSTALL) $(SPLASH) $(DESTDIR)/usr/share/images/desktop-base
	# emblems
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/emblems
	$(INSTALL) $(EMBLEMS) $(DESTDIR)/usr/share/icons/hicolor/48x48/emblems/
	# desktop files
	mkdir -p $(DESTDIR)/usr/share/desktop-base
	$(INSTALL) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/
	# pixmaps files
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	$(INSTALL) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/
	# KDM theme
	mkdir -p $(DESTDIR)/etc/default/kdm.d
	$(INSTALL) kdm-theme/kdm.d/10_desktop-base $(DESTDIR)/etc/default/kdm.d
	mkdir -p $(DESTDIR)/usr/share/apps/kdm/themes/debian-moreblue
	$(INSTALL) $(wildcard kdm-theme/debian-moreblue/*) $(DESTDIR)/usr/share/apps/kdm/themes/debian-moreblue
	# KSPLASH theme
	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-default
	$(INSTALL) $(wildcard ksplash-theme/debian-moreblue-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-default
	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-moodin
	$(INSTALL) $(wildcard ksplash-theme/debian-moreblue-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-moodin
	# KDE setup
	mkdir -p $(DESTDIR)/etc/kde3
	$(INSTALL) profiles/kde-profile/kdeglobals $(DESTDIR)/etc/kde3
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
	$(INSTALL) $(wildcard profiles/kde-profile/share/config/*) $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
	# XFCE setup; uses the more general XDG
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
	$(INSTALL) $(wildcard profiles/xdg-config/xfce4/mcs_settings/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4-session
	$(INSTALL) $(wildcard profiles/xdg-config/xfce4-session/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4-session
	# GNOME background descriptor
	$(INSTALL) -d $(DESTDIR)/usr/share/gnome-background-properties
	$(INSTALL) gnome-backgrounds.xml $(DESTDIR)/usr/share/gnome-background-properties/debian.xml

=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Gustavo Franco <stratus@debian.org>
Uploaders: Loïc Minier <lool@dooz.org>, Fathi Boudra <fboudra@free.fr>, Yves-Alexis Perez <corsac@corsac.net>
Build-Depends: cdbs, debhelper (>= 5.0.13)
Standards-Version: 3.7.2

Package: desktop-base
Architecture: all
Recommends: epiphany-browser | konqueror | www-browser
Suggests: gnome | kde | xfce4 | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

## desktop-base 4.0.1

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-default
 	$(INSTALL) $(wildcard ksplash-theme/debian-moreblue-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-default
 	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-moodin
-	$(INSTALL) $(wildcard ksplash-theme/debian-moreblue-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-moodin
+	$(INSTALL) $(wildcard ksplash-theme/debian-moreblue-moodin/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-moodin
 	# KDE setup
 	mkdir -p $(DESTDIR)/etc/kde3
 	$(INSTALL) profiles/kde-profile/kdeglobals $(DESTDIR)/etc/kde3

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET = install DESTDIR=$(CURDIR)/debian/desktop-base/

binary-fixup/desktop-base::
	dh_gconf --priority=15

## desktop-base 4.0.1etch2

=== debian/changelog ===
desktop-base (4.0.1etch2) stable; urgency=low

  * Fix kde default wallpaper appearance between kdm to ksplash switch.

 -- Fathi Boudra <fboudra@free.fr>  Thu, 24 May 2007 01:22:06 +0200

desktop-base (4.0.1etch1) stable; urgency=low

  * Fix dir_config path in kdeglobals and kdesktoprc doesn't support symlink.
    (Closes: #422043)

 -- Fathi Boudra <fboudra@free.fr>  Wed, 16 May 2007 14:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: desktop-base
 Architecture: all
-Recommends: epiphany-browser | konqueror | www-browser
+Depends: librsvg2-common
 Suggests: gnome | kde | xfce4 | wmaker
 Description: common files for the Debian Desktop
  This package contains various miscellaneous files which are used by

## desktop-base 4.0.6~bpo40+1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 DEFAULT_BACKGROUND=desktop-background
 
 INSTALL=install -m 0644 
-BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg backgrounds/*.svg)
+BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg backgrounds/*.svg backgrounds/*.tga)
 EMBLEMS=$(wildcard emblems/*png emblems/*icon)
 SPLASH=$(wildcard splash/*.png)
 PIXMAPS=$(wildcard pixmaps/*.png)
@@ -46,6 +46,6 @@
 	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4-session
 	$(INSTALL) $(wildcard profiles/xdg-config/xfce4-session/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4-session
 	# GNOME background descriptor
-	$(INSTALL) -d $(DESTDIR)/usr/share/gnome-background-properties
+	mkdir -p $(DESTDIR)/usr/share/gnome-background-properties
 	$(INSTALL) gnome-backgrounds.xml $(DESTDIR)/usr/share/gnome-background-properties/debian.xml

=== debian/changelog ===
desktop-base (4.0.6~bpo40+1) etch-backports; urgency=low

  * etch backport.
    - Lower debhelper compat level.

 -- Robert Millan <rmh@aybabtu.com>  Thu,  7 Feb 2008 23:49:30 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,14 @@
 Section: x11
 Priority: optional
 Maintainer: Gustavo Franco <stratus@debian.org>
-Uploaders: Loïc Minier <lool@dooz.org>, Fathi Boudra <fboudra@free.fr>, Yves-Alexis Perez <corsac@corsac.net>
-Build-Depends: cdbs, debhelper (>= 5.0.13)
-Standards-Version: 3.7.2
+Uploaders: Loïc Minier <lool@dooz.org>,
+           Fathi Boudra <fabo@debian.org>,
+           Yves-Alexis Perez <corsac@corsac.net>
+Build-Depends: cdbs, debhelper (>= 5)
+Standards-Version: 3.7.3
+Homepage: http://www.debian.org/devel/debian-desktop
+Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
+Vcs-Svn: svn://svn.debian.org/debian-desktop/packages/trunk/desktop-base
 
 Package: desktop-base
 Architecture: all

## desktop-base 4.0.7

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Loïc Minier <lool@dooz.org>,
            Fathi Boudra <fabo@debian.org>,
            Yves-Alexis Perez <corsac@corsac.net>
-Build-Depends: cdbs, debhelper (>= 5)
+Build-Depends: cdbs, debhelper (>= 6)
 Standards-Version: 3.7.3
 Homepage: http://www.debian.org/devel/debian-desktop
 Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/desktop-base/

binary-fixup/desktop-base::
	dh_gconf --priority=15

## desktop-base 4.1

=== debian/changelog ===
desktop-base (1:4.1) unstable; urgency=medium

  * Fix xml to show desktop background

 -- fsmithred <fsmithred@gmail.com>  Sat, 28 Aug 2021 09:00:00 -0400

desktop-base (1:4.0) unstable; urgency=medium

  * Update for deepsea theme in chimaera.

 -- fsmithred <fsmithred@gmail.com>  Mon, 28 Jun 2021 15:20:00 -0400

desktop-base (1:3.0) unstable; urgency=medium

  * Bump version, build for unstable.
  * Use compat 10 (see debian bug #885407)

 -- fsmithred <fsmithred@gmail.com>  Sun, 22 Sep 2019 09:45:00 -0400

desktop-base (1:2.0.4~test05) unstable; urgency=medium

  * Uncomment depends to include icon and window themes.

 -- fsmithred <fsmithred@gmail.com>  Sun, 22 Sep 2019 07:45:00 -0400

desktop-base (1:2.0.4~test04) unstable; urgency=medium

  * Add cinnabar art for beowulf
  * Add xfce4-desktop.xml for desktop background

 -- fsmithred <fsmithred@gmail.com>  Sat, 11 May 2019 09:05:00 -0400

=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: fsmithred <fsmithred@gmail.com>
Build-Depends: cdbs (>= 0.4.93), debhelper (>= 9), git
Standards-Version: 3.9.6
Homepage: https://git.devuan.org/devuan/desktop-base
Vcs-Browser: https://git.devuan.org/devuan/desktop-base
Vcs-Git: https://git.devuan.org/devuan/desktop-base.git

Package: desktop-base
Architecture: all
Depends: librsvg2-common, dmz-cursor-theme, clearlooks-phenix-deepsea-theme,deepsea-icon-theme, gnome-extra-icons
Pre-Depends: dpkg (>= 1.15.7.2~)
Suggests: gnome | kde-standard | xfce4 | wmaker
Conflicts: xfce4-panel (<< 4.12.2-1), 
 xfce4-settings (<< 4.12.4-1)
Breaks: xfce4-panel (<< 4.12.2-1), 
 xfce4-settings (<< 4.12.4-1)
Description: common files for the Devuan Desktop
 This package contains various miscellaneous files which are used by
 Devuan Desktop installations.  Currently, it provides some
 Devuan-related artwork and themes, .desktop files containing links to
 Devuan related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

## desktop-base 5.0.3

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 DEFAULT_BACKGROUND=desktop-background
 
-INSTALL=install -m 0644 
+INSTALL=install -m 0644
 BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg backgrounds/*.svg backgrounds/*.tga)
 EMBLEMS=$(wildcard emblems/*png emblems/*icon)
 SPLASH=$(wildcard splash/*.png)
@@ -8,8 +8,17 @@
 DESKTOPFILES=$(wildcard *.desktop)
 
 all:
+#	make -C usplash/moreblue-orbit
+
+clean:
+#	make -C usplash/moreblue-orbit clean
 
 install:
+	# splashy theme
+	mkdir -p $(DESTDIR)/usr/share/splashy/themes/moreblue-orbit
+	$(INSTALL) $(wildcard splashy/moreblue-orbit/*) $(DESTDIR)/usr/share/splashy/themes/moreblue-orbit
+	# usplash theme
+#	make -C usplash/moreblue-orbit install DESTDIR=$(CURDIR)/debian/usplash-theme-debian-desktop/usr/lib/usplash
 	# background files
 	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
 	$(INSTALL) $(BACKGROUNDS) $(DESTDIR)/usr/share/images/desktop-base
@@ -30,11 +39,23 @@
 	$(INSTALL) kdm-theme/kdm.d/10_desktop-base $(DESTDIR)/etc/default/kdm.d
 	mkdir -p $(DESTDIR)/usr/share/apps/kdm/themes/debian-moreblue
 	$(INSTALL) $(wildcard kdm-theme/debian-moreblue/*) $(DESTDIR)/usr/share/apps/kdm/themes/debian-moreblue
+	mkdir -p $(DESTDIR)/usr/share/apps/kdm/themes/moreblue-orbit
+	$(INSTALL) $(wildcard kdm-theme/moreblue-orbit/*) $(DESTDIR)/usr/share/apps/kdm/themes/moreblue-orbit
+	mkdir -p $(DESTDIR)/usr/share/apps/kdm/themes/nightly
+	$(INSTALL) $(wildcard kdm-theme/nightly/*) $(DESTDIR)/usr/share/apps/kdm/themes/nightly
 	# KSPLASH theme
 	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-default
 	$(INSTALL) $(wildcard ksplash-theme/debian-moreblue-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-default
 	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-moodin
 	$(INSTALL) $(wildcard ksplash-theme/debian-moreblue-moodin/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/debian-moreblue-moodin
+	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/moreblue-orbit-default
+	$(INSTALL) $(wildcard ksplash-theme/moreblue-orbit-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/moreblue-orbit-default
+	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/moreblue-orbit-moodin
+	$(INSTALL) $(wildcard ksplash-theme/moreblue-orbit-moodin/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/moreblue-orbit-moodin
+	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-default
+	$(INSTALL) $(wildcard ksplash-theme/nightly-default/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-default
+	mkdir -p $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-moodin
+	$(INSTALL) $(wildcard ksplash-theme/nightly-moodin/*) $(DESTDIR)/usr/share/apps/ksplash/Themes/nightly-moodin
 	# KDE setup
 	mkdir -p $(DESTDIR)/etc/kde3
 	$(INSTALL) profiles/kde-profile/kdeglobals $(DESTDIR)/etc/kde3

=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Gustavo Franco <stratus@debian.org>
Uploaders: Loïc Minier <lool@dooz.org>,
           Fathi Boudra <fabo@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>
Build-Depends: cdbs, debhelper (>= 6)
# libusplash-dev, imagemagick, librsvg2-bin
Standards-Version: 3.8.0
Homepage: http://www.debian.org/devel/debian-desktop
Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
Vcs-Svn: svn://svn.debian.org/debian-desktop/packages/trunk/desktop-base

Package: desktop-base
Architecture: all
Depends: librsvg2-common
Suggests: gnome | kde | xfce4 | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

#Package: usplash-theme-debian-desktop
#Section: misc
#Architecture: amd64 i386 powerpc sparc
#Depends: ${shlibs:Depends}, usplash
#Provides: usplash-theme
#Description: Debian Desktop usplash theme
# This package contains an usplash theme based on Debian Desktop project.
# .
# See http://wiki.debian.org/DebianDesktopArtwork for more details.

## desktop-base 5.0.6

=== Makefile ===
--- 
+++ 
@@ -61,11 +61,15 @@
 	$(INSTALL) profiles/kde-profile/kdeglobals $(DESTDIR)/etc/kde3
 	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
 	$(INSTALL) $(wildcard profiles/kde-profile/share/config/*) $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
-	# XFCE setup; uses the more general XDG
+	# Xfce 4.4
 	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
+	$(INSTALL) $(wildcard profiles/xdg-config/xfce4/mcs_settings/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
 	$(INSTALL) $(wildcard profiles/xdg-config/xfce4/mcs_settings/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/mcs_settings
 	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4-session
 	$(INSTALL) $(wildcard profiles/xdg-config/xfce4-session/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4-session
+	# Xfce 4.6
+	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
+	$(INSTALL) $(wildcard profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
 	# GNOME background descriptor
 	mkdir -p $(DESTDIR)/usr/share/gnome-background-properties
 	$(INSTALL) gnome-backgrounds.xml $(DESTDIR)/usr/share/gnome-background-properties/debian.xml

## desktop-base 5.5

=== debian/changelog ===
desktop-base (1:5.5) unstable; urgency=medium

  * Add lightdm greeter backgrounds.

 -- fsmithred <fsmithred@gmail.com>  Tue, 14 May 2023 07:43:00 -0400

desktop-base (1:5.4) unstable; urgency=medium

  * Add Origin: in d/control.

 -- fsmithred <fsmithred@gmail.com>  Tue, 02 May 2023 20:48:00 -0400

desktop-base (1:5.2) unstable; urgency=medium

  * Use Deepsea icon theme.

 -- fsmithred <fsmithred@gmail.com>  Tue, 02 May 2023 20:25:00 -0400

desktop-base (1:5.1) unstable; urgency=medium

  * Update depends for sapphire theme.

 -- fsmithred <fsmithred@gmail.com>  Sun, 02 Apr 2023 16:44:00 -0400

desktop-base (1:5.0) unstable; urgency=medium

  * Update for sapphire theme in daedalus.

 -- fsmithred <fsmithred@gmail.com>  Sun, 02 Apr 2023 12:00:00 -0400

## desktop-base 5.9

=== debian/changelog ===
desktop-base (1:5.9) unstable; urgency=medium

  * Test for xfce file before trying to divert it.

 -- fsmithred <fsmithred@gmail.com>  Mon, 07 Apr 2025 17:17:00 -0400

desktop-base (1:5.8) unstable; urgency=medium

  * Fix diversion of bg image so that prerm script works.

 -- fsmithred <fsmithred@gmail.com>  Mon, 07 Apr 2025 11:47:00 -0400

desktop-base (1:5.7) unstable; urgency=medium

  * divert stubborn xfce desktop background image

 -- fsmithred <fsmithred@gmail.com>  Mon, 07 Apr 2025 10:07:00 -0400

desktop-base (1:5.6) unstable; urgency=medium

  * Remove undefined panel plugin.

 -- fsmithred <fsmithred@gmail.com>  Tue, 25 Mar 2025 19:33:00 -0400

## desktop-base 6.0+parrot3

=== debian/changelog ===
desktop-base (2:6.0+parrot3) lory-updates; urgency=medium

  * Set parrot6 plymouth theme as default.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 22 Oct 2023 17:08:27 +0200

desktop-base (2:6.0+parrot2) lory-updates; urgency=medium

  * * Don't remove grub png files.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 20 Oct 2023 05:17:13 +0200

desktop-base (2:6.0+parrot1) lory-updates; urgency=medium

  * Update parrot logo.
  * Update parrot themes.
  * Update parrot wallpaper.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 19 Oct 2023 03:32:13 +0200

desktop-base (2:5.0+parrot6) parrot-updates; urgency=medium

  * Use png format for plymouth background.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 04 Feb 2022 22:46:30 +0100

desktop-base (2:5.0+parrot5) parrot-updates; urgency=medium

  * update plymouth theme.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 03 Feb 2022 01:22:14 +0100

desktop-base (2:5.0+parrot4) parrot-updates; urgency=medium

  * Update grub wallpaper.
  * Update Parrot logo for plymouth.
  * Update (and fix) plymouth settings and alias creation.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 14 Jan 2022 02:13:40 +0100

desktop-base (2:5.0+parrot3) lts-updates; urgency=medium

  * Fix failing postinst script.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 01 Dec 2021 00:32:20 +0100

desktop-base (2:5.0+parrot2) lts-updates; urgency=medium

  * Update for Parrot 5.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 20 Aug 2021 18:45:42 +0200

desktop-base (2:5.0+parrot1) lts; urgency=medium

  * Override new Devuan version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 31 Jul 2019 20:11:19 +0200

desktop-base (10.0.3+parrot1) testing; urgency=medium

  * Override new Debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 12 Jul 2019 16:25:49 +0200

desktop-base (10.0.2+parrot1) testing; urgency=medium

  * Override new Debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 25 Apr 2019 01:41:11 +0200

desktop-base (10.0.0+parrot2) testing; urgency=medium

  * Minor fix to preinst.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 19 Mar 2019 18:56:37 +0100

desktop-base (10.0.0+parrot1) testing; urgency=medium

  * Import new Debian release.
  * Update Parrot theme.
  * Remove Debian themes.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 19 Mar 2019 18:42:40 +0100

desktop-base (9.0.5+parrot1) testing; urgency=medium

  * Import minor updates from Git merge requests.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Fri, 29 Sep 2017 21:28:17 +0200

desktop-base (9.0.5+parrot0) testing; urgency=medium

  * Increment version to replace new debian version.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 24 Aug 2017 01:04:14 +0200

desktop-base (9.0.3+parrot4) testing; urgency=medium

  * Fix postinst and postrm.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 29 Jun 2017 17:30:50 +0200

desktop-base (9.0.3+parrot3) testing; urgency=medium

  * Remove debian themes to save space.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 29 Jun 2017 16:57:11 +0200

desktop-base (9.0.2+parrot2) testing; urgency=medium

  * Change GRUB text colors

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 23 Feb 2017 23:23:28 +0100

desktop-base (9.0.2+parrot1) testing; urgency=medium

  * fix 1920x1080.svg background link

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 02 Feb 2017 19:31:29 +0100

desktop-base (9.0.2+parrot0) testing; urgency=medium

  * Import new Debian release

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Wed, 01 Feb 2017 00:59:07 +0100

desktop-base (8.0.2+parrot6) testing; urgency=high

  * Debianized sources
  * Add previously removed files for kde and gnome

 -- Lorenzo "Palinuro" Faletra <palinuro@frozenbox.org>  Sat, 09 Apr 2016 19:52:11 +0200

## desktop-base 6.0.5

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
            Yves-Alexis Perez <corsac@debian.org>
 Build-Depends: cdbs, debhelper (>= 6)
 # libusplash-dev, imagemagick, librsvg2-bin
-Standards-Version: 3.8.0
+Standards-Version: 3.9.1
 Homepage: http://www.debian.org/devel/debian-desktop
 Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
 Vcs-Svn: svn://svn.debian.org/debian-desktop/packages/trunk/desktop-base
@@ -15,7 +15,7 @@
 Package: desktop-base
 Architecture: all
 Depends: librsvg2-common
-Suggests: gnome | kde | xfce4 | wmaker
+Suggests: gnome | kde-standard | xfce4 | wmaker
 Description: common files for the Debian Desktop
  This package contains various miscellaneous files which are used by
  Debian Desktop installations.  Currently, it provides some

## desktop-base 6.0.5squeeze1

=== debian/changelog ===
desktop-base (6.0.5squeeze1) stable; urgency=low

  * debian/plymouth:
    - include patch by adris to fix dual screen setups.         closes: #613249

 -- Yves-Alexis Perez <corsac@debian.org>  Sun, 27 Feb 2011 00:28:11 +0100

## desktop-base 6.0.7

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Gustavo Franco <stratus@debian.org>
 Uploaders: Loïc Minier <lool@dooz.org>,
            Fathi Boudra <fabo@debian.org>,
-           Yves-Alexis Perez <corsac@debian.org>
-Build-Depends: cdbs, debhelper (>= 6)
+           Yves-Alexis Perez <corsac@debian.org>,
+           Josselin Mouette <joss@debian.org>
+Build-Depends: cdbs (>= 0.4.93), debhelper (>= 8.1.3)
 # libusplash-dev, imagemagick, librsvg2-bin
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.debian.org/devel/debian-desktop
 Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
 Vcs-Svn: svn://svn.debian.org/debian-desktop/packages/trunk/desktop-base

## desktop-base 6.0.7ubuntu1

=== Makefile ===
DEFAULT_BACKGROUND=desktop-background

INSTALL=install -m 0644
BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg backgrounds/*.svg backgrounds/*.tga)
EMBLEMS=$(wildcard emblems/*png emblems/*icon)
SPLASH=$(wildcard splash/*.png splash/*.svg)
PIXMAPS=$(wildcard pixmaps/*.png)
DESKTOPFILES=$(wildcard *.desktop)

all:

clean:

install:
	# splashy themes
	mkdir -p $(DESTDIR)/usr/share/splashy/themes/spacefun
	$(INSTALL) $(wildcard splashy/spacefun/*) $(DESTDIR)/usr/share/splashy/themes/spacefun

	# background files
	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
	$(INSTALL) $(BACKGROUNDS) $(DESTDIR)/usr/share/images/desktop-base
	cd $(DESTDIR)/usr/share/images/desktop-base && ln -s $(DEFAULT_BACKGROUND) default
	# splash files
	$(INSTALL) $(SPLASH) $(DESTDIR)/usr/share/images/desktop-base
	# emblems
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/48x48/emblems
	$(INSTALL) $(EMBLEMS) $(DESTDIR)/usr/share/icons/hicolor/48x48/emblems/
	# desktop files
	mkdir -p $(DESTDIR)/usr/share/desktop-base
	$(INSTALL) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/
	# pixmaps files
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	$(INSTALL) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/

	# KDE Config
	mkdir -p $(DESTDIR)/usr/share/kde4/config
	$(INSTALL) profiles/kde-profile/kdeglobals $(DESTDIR)/usr/share/kde4/config

	# KDM theme
	mkdir -p $(DESTDIR)/etc/default/kdm.d
	$(INSTALL) kdm-theme/kdm.d/10_desktop-base $(DESTDIR)/etc/default/kdm.d

	mkdir -p $(DESTDIR)/usr/share/kde4/apps/kdm/themes/spacefun
	$(INSTALL) $(wildcard kdm-theme/spacefun/*) $(DESTDIR)/usr/share/kde4/apps/kdm/themes/spacefun
	mkdir -p $(DESTDIR)/usr/share/kde4/apps/kdm/themes/debian-moreblue
	$(INSTALL) $(wildcard kdm-theme/debian-moreblue/*) $(DESTDIR)/usr/share/kde4/apps/kdm/themes/debian-moreblue
	mkdir -p $(DESTDIR)/usr/share/kde4/apps/kdm/themes/moreblue-orbit
	$(INSTALL) $(wildcard kdm-theme/moreblue-orbit/*) $(DESTDIR)/usr/share/kde4/apps/kdm/themes/moreblue-orbit
	mkdir -p $(DESTDIR)/usr/share/kde4/apps/kdm/themes/nightly
	$(INSTALL) $(wildcard kdm-theme/nightly/*) $(DESTDIR)/usr/share/kde4/apps/kdm/themes/nightly

	# KSPLASH theme
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun
	$(INSTALL) ksplash-theme/spacefun/Preview.png $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun
	$(INSTALL) ksplash-theme/spacefun/Theme.rc $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun/1024x768
	$(INSTALL) $(wildcard ksplash-theme/spacefun/1024x768/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun/1024x768
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun/1280x1024
	$(INSTALL) $(wildcard ksplash-theme/spacefun/1280x1024/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun/1280x1024
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun/1366x768
	$(INSTALL) $(wildcard ksplash-theme/spacefun/1366x768/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun/1366x768
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun/1600x1200
	$(INSTALL) $(wildcard ksplash-theme/spacefun/1600x1200/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun/1600x1200
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun/1920x1080
	$(INSTALL) $(wildcard ksplash-theme/spacefun/1920x1080/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/spacefun/1920x1080

	# KDE Config
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
	$(INSTALL) $(wildcard profiles/kde-profile/share/config/*) $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config

	# Xfce 4.6
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
	$(INSTALL) $(wildcard profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
	# GNOME background descriptor
	mkdir -p $(DESTDIR)/usr/share/gnome-background-properties
	$(INSTALL) gnome-backgrounds.xml $(DESTDIR)/usr/share/gnome-background-properties/debian.xml
	# GDM 3 theme
	mkdir -p $(DESTDIR)/usr/share/gdm/greeter-config
	$(INSTALL) gdm3/background.svg $(DESTDIR)/usr/share/images/desktop-base/login-background.svg
	$(INSTALL) gdm3/10_desktop-base $(DESTDIR)/usr/share/gdm/greeter-config

	# grub
	$(INSTALL) grub/spacefun-grub.png $(DESTDIR)/usr/share/images/desktop-base/
	$(INSTALL) grub/spacefun-grub-widescreen.png $(DESTDIR)/usr/share/images/desktop-base/
	$(INSTALL) grub/grub_background.sh $(DESTDIR)/usr/share/desktop-base/

	# plymouth
	install -d $(DESTDIR)/usr/share/plymouth/themes/spacefun
	$(INSTALL) $(wildcard plymouth/spacefun/*) $(DESTDIR)/usr/share/plymouth/themes/spacefun

=== debian/changelog ===
desktop-base (6.0.7ubuntu1) precise; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Feb 2012 00:22:49 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Gustavo Franco <stratus@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gustavo Franco <stratus@debian.org>
 Uploaders: Loïc Minier <lool@dooz.org>,
            Fathi Boudra <fabo@debian.org>,
            Yves-Alexis Perez <corsac@debian.org>,
@@ -15,6 +16,7 @@
 
 Package: desktop-base
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: librsvg2-common
 Suggests: gnome | kde-standard | xfce4 | wmaker
 Description: common files for the Debian Desktop

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
 
+# needed for usplash
+CFLAGS += -fPIC
+
 DEB_MAKE_INSTALL_TARGET := install DESTDIR=$(CURDIR)/debian/desktop-base/
 
 binary-fixup/desktop-base::

## desktop-base 7.0+parrot2

=== Makefile ===
GRUB_THEMES=parrot-theme/grub
DEFAULT_BACKGROUND=desktop-background

PIXMAPS=$(wildcard pixmaps/*.png)
DESKTOPFILES=$(wildcard *.desktop)

.PHONY: all clean install install-local
all: build-grub build-emblems build-logos
clean: clean-grub clean-emblems clean-logos

.PHONY: build-grub clean-grub install-grub
build-grub clean-grub install-grub:
	@target=`echo $@ | sed s/-grub//`; \
	for grub_theme in $(GRUB_THEMES) ; do \
		if [ -f $$grub_theme/Makefile ] ; then \
			$(MAKE) $$target -C $$grub_theme || exit 1; \
		fi \
	done

.PHONY: build-emblems clean-emblems install-emblems
build-emblems clean-emblems install-emblems:
	@target=`echo $@ | sed s/-emblems//`; \
	$(MAKE) $$target -C emblems-debian || exit 1;

.PHONY: build-logos clean-logos install-logos
build-logos clean-logos install-logos:
	@target=`echo $@ | sed s/-logos//`; \
	$(MAKE) $$target -C debian-logos || exit 1;


install: install-grub install-emblems install-logos install-local

install-local:
	# debian logo in circle as default user face icon
	install -d $(DESTDIR)/etc/skel
	$(INSTALL_DATA) defaults/common/etc/skel/.face $(DESTDIR)/etc/skel
	cd $(DESTDIR)/etc/skel && ln -s .face .face.icon

	# background files
	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
	cd $(DESTDIR)/usr/share/images/desktop-base && ln -s $(DEFAULT_BACKGROUND) default
	# desktop files
	mkdir -p $(DESTDIR)/usr/share/desktop-base
	$(INSTALL_DATA) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/
	# pixmaps files
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	$(INSTALL_DATA) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/

	# Create a 'debian-theme' symlink in plymouth themes folder, pointing at the
	# plymouth theme for the currently active 'desktop-theme' alternative.
	mkdir -p $(DESTDIR)/usr/share/plymouth/themes
	ln -s ../../desktop-base/active-theme/plymouth $(DESTDIR)/usr/share/plymouth/themes/debian-theme

	# Set Plasma 5 customizations
	install -d $(DESTDIR)/etc/xdg/autostart
	$(INSTALL_DATA) defaults/kde/etc/xdg/kcm-about-distrorc $(DESTDIR)/etc/xdg
	$(INSTALL_DATA) defaults/kde/etc/xdg/kickoffrc $(DESTDIR)/etc/xdg
	$(INSTALL_DATA) $(wildcard defaults/kde/etc/xdg/autostart/*) $(DESTDIR)/etc/xdg/autostart/
	install -d $(DESTDIR)/etc/xdg/plasma-workspace/env
	$(INSTALL_DATA) $(wildcard defaults/kde/etc/xdg/plasma-workspace/env/*) $(DESTDIR)/etc/xdg/plasma-workspace/env/
	install -d $(DESTDIR)/usr/share/desktop-base/kf5-settings
	$(INSTALL_DATA) $(wildcard defaults/kde/kf5-settings/*) $(DESTDIR)/usr/share/desktop-base/kf5-settings/
	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents
	$(INSTALL_DATA) defaults/kde/plasma/look-and-feel/org.debian.desktop/metadata.json $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop
	$(INSTALL_DATA) defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/defaults $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents
	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/layouts
	$(INSTALL_DATA) $(wildcard defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/layouts/*) $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/layouts/
	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/previews
	$(INSTALL_DATA) $(wildcard defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/previews/*) $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/previews/

	# Xfce 4.6
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
	$(INSTALL_DATA) $(wildcard profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml

	# GNOME background descriptors
	mkdir -p $(DESTDIR)/usr/share/gnome-background-properties


	# Parrot Theme (default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/parrot6
	$(INSTALL_DATA) $(wildcard parrot-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/parrot6
	install -d $(DESTDIR)/usr/share/desktop-base/parrot-theme
	#cd $(DESTDIR)/usr/share/desktop-base/parrot-theme && ln -s /usr/share/plymouth/themes/parrot6 plymouth
	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/parrot-theme/login
	$(INSTALL_DATA) $(wildcard parrot-theme/login/*) $(DESTDIR)/usr/share/desktop-base/parrot-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/parrot-theme/wallpaper/contents/images
	$(INSTALL_DATA) parrot-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/parrot-theme/wallpaper
	$(INSTALL_DATA) parrot-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/parrot-theme/wallpaper
	$(INSTALL_DATA) $(wildcard parrot-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/parrot-theme/wallpaper/contents/images/
	$(INSTALL_DATA) parrot-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/parrot-lorikeet.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/parrot-theme/wallpaper parrot

	### Lockscreen is using the same image as wallpaper
	install -d $(DESTDIR)/usr/share/desktop-base/parrot-theme/lockscreen/contents/images
	$(INSTALL_DATA) parrot-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/parrot-theme/lockscreen
	$(INSTALL_DATA) parrot-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/parrot-theme/lockscreen
	$(INSTALL_DATA) $(wildcard parrot-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/parrot-theme/lockscreen/contents/images/

	# Lock screen symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/parrot-theme/wallpaper parrot_lorikeet

include Makefile.inc

=== parrot-theme/grub/Makefile ===
dir = usr/share/desktop-base/parrot-theme/grub

.PHONY: build clean install

#files = \
#	grub-4x3.png \
#	grub-16x9.png

#build: $(files)
build:

clean:
#	rm -f grub-4x3.png.raw grub-16x9.png.raw
#	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	install -d $(DESTDIR)/boot
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/boot

#grub-4x3.png: grub-4x3.svg
#	inkscape --export-filename=$@ $<
#	mv $@ $@.raw
#	optipng $@.raw -out $@

#grub-16x9.png: grub-16x9.svg
#	inkscape --export-filename=$@ $<
#	mv $@ $@.raw
#	optipng $@.raw -out $@

include ../../Makefile.inc

=== debian/changelog ===
desktop-base (2:7.0+parrot2) echo; urgency=medium

  * Use boxless grub background.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Tue, 09 Dec 2025 16:24:06 +0100

desktop-base (2:7.0+parrot1) echo; urgency=medium

  * Update themes for Parrot 7.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 04 Dec 2025 11:19:16 +0100

=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Lorenzo Palinuro Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo Palinuro Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper (>= 13),
               inkscape,
               librsvg2-bin,
               optipng,
# For the number in debian-logo-text
               fonts-quicksand,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.debian.org/devel/debian-desktop/
Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git

Package: desktop-base
Architecture: all
Depends: librsvg2-common,
# For the login background with logo
         fonts-quicksand,
Recommends: plymouth-label
Suggests: parrot-desktop-mate | parrot-desktop-kde
Description: common files for the Parrot Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

## desktop-base 7.0.0ubuntu2

=== debian/changelog ===
desktop-base (7.0.0ubuntu2) quantal; urgency=low

  * Stop installing /usr/share/desktop-base/grub_background.sh for now.  We
    should ultimately have some Ubuntu branding here, but at the moment it
    just confuses people who accidentally install desktop-base.  The
    /usr/share/images/desktop-base/desktop-grub.png alternative is too
    cumbersome to remove cleanly, so I've left it in place and arranged for
    /etc/grub.d/05_debian_theme to stop using it instead.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Oct 2012 10:33:44 +0100

desktop-base (7.0.0ubuntu1) quantal; urgency=low

  * Sync with Debian. Remaining change:
    - Use maintscript support in dh_installdeb rather than writing out
      dpkg-maintscript-helper commands by hand, leading to more predictable
      behavior on upgrades.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jul 2012 22:35:36 -0400

## desktop-base 7.0.3

=== Makefile ===
DEFAULT_BACKGROUND=desktop-background

INSTALL=install -m 0644
BACKGROUNDS=$(wildcard backgrounds/*.png backgrounds/*.jpg backgrounds/*.svg backgrounds/*.tga backgrounds/*.xml)
EMBLEMS=$(wildcard emblems/*png emblems/*icon)
SPLASH=$(wildcard splash/*.png splash/*.svg)
PIXMAPS=$(wildcard pixmaps/*.png)
DESKTOPFILES=$(wildcard *.desktop)

all:

clean:

install:
	# background files
	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
	$(INSTALL) $(BACKGROUNDS) $(DESTDIR)/usr/share/images/desktop-base
	cd $(DESTDIR)/usr/share/images/desktop-base && ln -s $(DEFAULT_BACKGROUND) default
	# splash files
	$(INSTALL) $(SPLASH) $(DESTDIR)/usr/share/images/desktop-base
	# emblems
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/36x36/emblems
	$(INSTALL) $(EMBLEMS) $(DESTDIR)/usr/share/icons/hicolor/36x36/emblems/
	# desktop files
	mkdir -p $(DESTDIR)/usr/share/desktop-base
	$(INSTALL) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/
	# pixmaps files
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	$(INSTALL) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/

	# KDE Config
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
	$(INSTALL) $(wildcard profiles/kde-profile/share/config/*) $(DESTDIR)/usr/share/desktop-base/profiles/kde-profile/share/config
	mkdir -p $(DESTDIR)/usr/share/kde4/config
	$(INSTALL) profiles/kde-profile/kdeglobals $(DESTDIR)/usr/share/kde4/config
	mkdir -p $(DESTDIR)/usr/share/kde4/apps/plasma-desktop/init/
	$(INSTALL) kde-wallpaper/10-desktop-base.js $(DESTDIR)/usr/share/kde4/apps/plasma-desktop/init/

	# KDE Wallpaper
	mkdir -p $(DESTDIR)/usr/share/wallpapers/joy
	$(INSTALL) kde-wallpaper/joy/metadata.desktop $(DESTDIR)/usr/share/wallpapers/joy/
	mkdir -p $(DESTDIR)/usr/share/wallpapers/joy/contents
	$(INSTALL) kde-wallpaper/joy/contents/screenshot.png $(DESTDIR)/usr/share/wallpapers/joy/contents/
	mkdir -p $(DESTDIR)/usr/share/wallpapers/joy/contents/images
	$(INSTALL) $(wildcard kde-wallpaper/joy/contents/images/*) $(DESTDIR)/usr/share/wallpapers/joy/contents/images/
	# Inksplat Version
	mkdir -p $(DESTDIR)/usr/share/wallpapers/joy_inksplat
	$(INSTALL) kde-wallpaper/joy_inksplat/metadata.desktop $(DESTDIR)/usr/share/wallpapers/joy_inksplat/
	mkdir -p $(DESTDIR)/usr/share/wallpapers/joy_inksplat/contents
	$(INSTALL) kde-wallpaper/joy_inksplat/contents/screenshot.png $(DESTDIR)/usr/share/wallpapers/joy_inksplat/contents/
	mkdir -p $(DESTDIR)/usr/share/wallpapers/joy_inksplat/contents/images
	$(INSTALL) $(wildcard kde-wallpaper/joy_inksplat/contents/images/*) $(DESTDIR)/usr/share/wallpapers/joy_inksplat/contents/images/



	# KDM theme
	mkdir -p $(DESTDIR)/etc/default/kdm.d
	$(INSTALL) kdm-theme/kdm.d/10_desktop-base $(DESTDIR)/etc/default/kdm.d
	mkdir -p $(DESTDIR)/usr/share/kde4/apps/kdm/themes/joy
	$(INSTALL) $(wildcard kdm-theme/joy/*) $(DESTDIR)/usr/share/kde4/apps/kdm/themes/joy

	# KSPLASH theme
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy
	$(INSTALL) ksplash-theme/joy/Preview.png $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy
	$(INSTALL) ksplash-theme/joy/Theme.rc $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1024x768
	$(INSTALL) $(wildcard ksplash-theme/joy/1024x768/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1024x768
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1280x800
	$(INSTALL) $(wildcard ksplash-theme/joy/1280x800/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1280x800
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1280x1024
	$(INSTALL) $(wildcard ksplash-theme/joy/1280x1024/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1280x1024
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1366x768
	$(INSTALL) $(wildcard ksplash-theme/joy/1366x768/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1366x768
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1600x1200
	$(INSTALL) $(wildcard ksplash-theme/joy/1600x1200/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1600x1200
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1920x1080
	$(INSTALL) $(wildcard ksplash-theme/joy/1920x1080/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1920x1080
	install -d $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1920x1200
	$(INSTALL) $(wildcard ksplash-theme/joy/1920x1200/*) $(DESTDIR)/usr/share/kde4/apps/ksplash/Themes/joy/1920x1200


	# Xfce 4.6
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
	$(INSTALL) $(wildcard profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
	# GNOME background descriptor
	mkdir -p $(DESTDIR)/usr/share/gnome-background-properties
	$(INSTALL) gnome-backgrounds.xml $(DESTDIR)/usr/share/gnome-background-properties/debian.xml
	# GDM 3 theme
	mkdir -p $(DESTDIR)/usr/share/gdm/dconf
	$(INSTALL) gdm3/background.svg $(DESTDIR)/usr/share/images/desktop-base/login-background.svg
	$(INSTALL) gdm3/10-desktop-base-settings $(DESTDIR)/usr/share/gdm/dconf/

	# grub
	$(INSTALL) grub/joy-grub.png $(DESTDIR)/usr/share/images/desktop-base/
	$(INSTALL) grub/spacefun-grub.png $(DESTDIR)/usr/share/images/desktop-base/
	$(INSTALL) grub/spacefun-grub-widescreen.png $(DESTDIR)/usr/share/images/desktop-base/
	$(INSTALL) grub/grub_background.sh $(DESTDIR)/usr/share/desktop-base/

	# plymouth
	install -d $(DESTDIR)/usr/share/plymouth/themes/spacefun
	$(INSTALL) $(wildcard plymouth/spacefun/*) $(DESTDIR)/usr/share/plymouth/themes/spacefun

	install -d $(DESTDIR)/usr/share/plymouth/themes/joy
	$(INSTALL) $(wildcard plymouth/joy/*) $(DESTDIR)/usr/share/plymouth/themes/joy

=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Gustavo Franco <stratus@debian.org>
Uploaders: Loïc Minier <lool@dooz.org>,
           Fathi Boudra <fabo@debian.org>,
           Yves-Alexis Perez <corsac@debian.org>,
           Josselin Mouette <joss@debian.org>,
           Paul Tagliamonte <paultag@debian.org>,
           Eshat Cakar <info@eshat.de>
Build-Depends: cdbs (>= 0.4.93), debhelper (>= 9)
# libusplash-dev, imagemagick, librsvg2-bin
Standards-Version: 3.9.3
Homepage: http://www.debian.org/devel/debian-desktop
Vcs-Browser: http://svn.debian.org/wsvn/debian-desktop/packages/trunk/desktop-base
Vcs-Svn: svn://svn.debian.org/debian-desktop/packages/trunk/desktop-base

Package: desktop-base
Architecture: all
Depends: librsvg2-common
Pre-Depends: dpkg (>= 1.15.7.2~)
Suggests: gnome | kde-standard | xfce4 | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

#Package: usplash-theme-debian-desktop
#Section: misc
#Architecture: amd64 i386 powerpc sparc
#Depends: ${shlibs:Depends}, usplash
#Provides: usplash-theme
#Description: Debian Desktop usplash theme
# This package contains an usplash theme based on Debian Desktop project.
# .
# See http://wiki.debian.org/DebianDesktopArtwork for more details.

## desktop-base 7.0.3ubuntu1

=== Makefile ===
--- 
+++ 
@@ -94,7 +94,6 @@
 	$(INSTALL) grub/joy-grub.png $(DESTDIR)/usr/share/images/desktop-base/
 	$(INSTALL) grub/spacefun-grub.png $(DESTDIR)/usr/share/images/desktop-base/
 	$(INSTALL) grub/spacefun-grub-widescreen.png $(DESTDIR)/usr/share/images/desktop-base/
-	$(INSTALL) grub/grub_background.sh $(DESTDIR)/usr/share/desktop-base/
 
 	# plymouth
 	install -d $(DESTDIR)/usr/share/plymouth/themes/spacefun

=== debian/changelog ===
desktop-base (7.0.3ubuntu1) raring; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Stop installing /usr/share/desktop-base/grub_background.sh for now.  We
      should ultimately have some Ubuntu branding here, but at the moment it
      just confuses people who accidentally install desktop-base.  The
      /usr/share/images/desktop-base/desktop-grub.png alternative is too
      cumbersome to remove cleanly, so I've left it in place and arranged for
      /etc/grub.d/05_debian_theme to stop using it instead.
  * Dropped changes:
    - Use maintscript support in dh_installdeb rather than writing out
      dpkg-maintscript-helper commands by hand, leading to more predictable
      behavior on upgrades.

 -- Logan Rosen <logatronico@gmail.com>  Mon, 29 Oct 2012 15:36:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Gustavo Franco <stratus@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gustavo Franco <stratus@debian.org>
 Uploaders: Loïc Minier <lool@dooz.org>,
            Fathi Boudra <fabo@debian.org>,
            Yves-Alexis Perez <corsac@debian.org>,

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 include /usr/share/cdbs/1/rules/buildcore.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/makefile.mk
+
+DEB_DH_BUILDDEB_ARGS = -- -Zxz
 
 # needed for usplash
 CFLAGS += -fPIC
